%if 0%{?el7}
%define dist .el7
%endif

Name:		oinkmaster
Version:	2.0
Release:	6%{?dist}
Summary:	Oinkmaster is simple Perl script

Group:		Applications/Internet
License:	GPLv2
URL:		http://oinkmaster.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/oinkmaster/%{name}-%{version}.cvs.tar.xz
Source1:	oinkmaster.cron

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:  noarch

#Requires:   perl(:MODULE_COMPAT_%%(eval "`%%{__perl} -V:version`"; echo $version))
Requires:   perl(File::Basename)
Requires:   perl(File::Copy)
Requires:   perl(File::Path)
Requires:   perl(File::Spec)
Requires:   perl(Getopt::Long)
Requires:   perl(File::Temp)

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
Oinkmaster is simple Perl script released under the BSD license that
helps you keep your Snort rules current with little or no user
interaction. It has quite a few useful features regarding rules
management, such as ability to enable, disable and modify specified
rules after each update. It will tell you the exact changes from your
previous rules, so you have total control of what's going on.
It may be useful in conjunction with any program that can use Snort
rules, like Snort (doh!) or Prelude-NIDS.

%prep
%setup -q -n %{name}-%{version}.cvs


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/oinkmaster
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -m0755 oinkmaster.pl $RPM_BUILD_ROOT%{_bindir}/oinkmaster.pl
install -m0644 oinkmaster.conf $RPM_BUILD_ROOT%{_sysconfdir}/oinkmaster/oinkmaster.conf
install -m0644 oinkmaster.1 $RPM_BUILD_ROOT%{_mandir}/man1/oinkmaster.1
install -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.d/%{name}

%files
%doc ChangeLog FAQ INSTALL README* UPGRADING contrib template-examples.conf
%{!?_licensedir:%global license %%doc}
%license LICENSE
%defattr(-,root,root,-)
%{_bindir}/oinkmaster.pl
%config(noreplace) %{_sysconfdir}/oinkmaster/oinkmaster.conf
%{_mandir}/man1/oinkmaster*
%{_sysconfdir}/cron.d/%{name}

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.0-6
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.0-5
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 2.0-4
- Rebuilt for fc22

* Tue Jan  7 2014 momo-i <webmaster@momo-i.org> - 2.0-3
- Update info

* Tue Aug  7 2012 momo-i <webmaster@momo-i.org> 2.0-1
- Initial rpm release.
